
Foreman - Refactor #1452

use fog for libvirt management
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: VM management   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

currently libvirt handling in foreman is not generic, as we now have contributed our libvirt code into the fog library, we should use that

instead and deprecate foreman internal code and the virt gem.

Associated revisions

Revision f37934af - 04/09/2012 07:29 AM - Ohad Levy

fixes #1452 use fog for libvirt management

This patch introduces a few new features:

console support

multiple disks

multiple nics

Revision 98987690 - 04/09/2012 10:11 AM - Ohad Levy

refs #1452 improved libvirt on debian handling

Revision 575e5267 - 04/09/2012 10:23 AM - Ohad Levy

refs #1452 - fixed incorrect condition

Revision e863d48b - 04/09/2012 10:27 AM - Ohad Levy

refs #1452 - fixed incorrect condition

Revision f37cd6e7 - 04/09/2012 10:43 AM - Ohad Levy

refs #1452 - cant change values while in orcehstation as its already a frozen hash

Revision 1721eaee - 04/13/2012 03:34 AM - Ohad Levy

minor ordering issue for nics/disks when creating libvirt instances, refs #1452

History

#1 - 04/09/2012 06:20 AM - Ohad Levy

- Subject changed from extract libvirt specific code into a generic library to use fog for libvirt management

#2 - 04/09/2012 08:37 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset f37934af9dec5948f20cd39c72f4fd7e3b454dc2.
